org.apache.pdfbox.preflight.process.reflect

## Class FontValidationProcess

- java.lang.Object
- - org.apache.pdfbox.preflight.process.AbstractProcess
  - - org.apache.pdfbox.preflight.process.reflect.FontValidationProcess

All Implemented Interfaces:
  ValidationProcess

    public class FontValidationProcess
    extends AbstractProcess

### Constructor Summary

Constructors
Constructor and Description
`FontValidationProcess()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected FontValidator<? extends FontContainer<? extends org.apache.pdfbox.pdmodel.font.PDFont>>` `getFontValidator(PreflightContext context, org.apache.pdfbox.pdmodel.font.PDFont font)` Create the right "Validator" object for the given font type
`void` `validate(PreflightContext context)`

### Methods inherited from class org.apache.pdfbox.preflight.process.AbstractProcess

`addFontError, addValidationError, addValidationErrors`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FontValidationProcess

    public FontValidationProcess()

### Method Detail

#### validate

    public void validate(PreflightContext context)
                  throws ValidationException

Throws:
  `ValidationException`

#### getFontValidator

    protected FontValidator<? extends FontContainer<? extends org.apache.pdfbox.pdmodel.font.PDFont>> getFontValidator(PreflightContext context,
                                                                                                                       org.apache.pdfbox.pdmodel.font.PDFont font)

Create the right "Validator" object for the given font type

Parameters:
  `context` - the preflight context.
  `font` - the font object.
Returns:
  the font validator instance for the font type.